#!/bin/bash

if [ -n "$ROOT_PASSWD" ]; then
	echo "root:${ROOT_PASSWD}" | chpasswd
	echo "密码设置完毕" >> /app/info.log
fi

if [ -e "/root/.gitconfig" ]; then
	echo "git配置文件已存在" >> /app/info.log
else
	touch /root/.gitconfig
	echo "git配置文件已创建" >> /app/info.log
fi

# git使用openssh的shh程序
git config --global core.sshCommand "/usr/bin/ssh"

if [ -n "$GIT_USER" ] && [ -n "$GIT_EMAIL" ]; then
	git config --global user.name "$GIT_USER"
	git config --global user.email "$GIT_EMAIL"
	echo "git 用户已设置完毕" >> /app/info.log
fi

if [ -n "$DOCKER_USER" ] && [ -n "$DOCKER_PASSWD" ]; then
	docker login -u "$DOCKER_USER" -p "$DOCKER_PASSWD"
	echo "docker 用户登录完成" >> /app/info.log
fi

service ssh start >> /app/info.log
ssh-agent bash >> /app/info.log

tail -f /app/info.log
